from axelrod.action import Action
from axelrod.player import Player
IllIllIIlIllI, llIIlIlllIlII = Action.C, Action.D
class IlllIlllllIIllI(Player):
    llIlIIllIIlIII = "strategy"
    IIIIlIlIIIIlllIIll = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def IllIlIlllII(IllIllIlllI, llllllIlIlllIllIll: Player) -> Action:
        if not len(llllllIlIlllIllIll.history):
            return IllIllIIlIllI
        else:
            if llllllIlIlllIllIll.history[-1] == llIIlIlllIlII:
                if IllIllIlllI.history[-1] == IllIllIIlIllI:
                    return llIIlIlllIlII
                else:
                    return IllIllIIlIllI
        return IllIllIlllI.history[-1]